Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512805 - subpackage otf fonts for Chinese, Japanese, Korean
Summary: subpackage otf fonts for Chinese, Japanese, Korean
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: google-noto-cjk-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 07:15 UTC by Jens Petersen
Modified: 2017-12-12 07:42 UTC (History)
2 users (show)

Fixed In Version: google-noto-cjk-fonts-20170602-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 07:42:15 UTC


Attachments (Terms of Use)

Description Jens Petersen 2017-11-14 07:15:27 UTC
Description of problem:
Currently Fedora's google-noto-cjk-fonts ships .ttc fonts files
which are quite big and heavy and can also cause compatibility issues.

Maybe better to switch to .otf files and subpackage per language and Family.

Personally I would suggest subpackaging everything, even
if maybe some overkill/duplication. 

Actual results:
All fonts in one package

Expected results:
Subpackages like:

google-noto-sans-cjk-ttc-fonts
google-noto-serif-cjk-ttc-fonts
google-noto-sans-cjk-jp-fonts
google-noto-serif-cjk-jp-fonts
google-noto-sans-mono-cjk-jp-fonts
google-noto-sans-jp-fonts
google-noto-serif-jp-fonts
:
etc

Additional info:
Let me know if you need help with rpm macros

Comment 1 Peng Wu 2017-12-07 06:41:33 UTC
Draft package built for rawhide.

http://koji.fedoraproject.org/koji/buildinfo?buildID=1007853

Comment 2 Akira TAGOH 2017-12-08 13:33:03 UTC
No google-noto-sans-mono-jp-fonts?

Comment 3 Peng Wu 2017-12-11 05:57:21 UTC
No, I guess they may think some applications like terminal don't support
font fallback.

Comment 4 Jens Petersen 2017-12-11 07:59:23 UTC
Just for the record - I think you can use something like %notopkg macro
from google-noto.spec for the subpackaging.

Comment 5 Peng Wu 2017-12-12 03:59:14 UTC
Okay, updated and built for rawhide.

Comment 6 Jens Petersen 2017-12-12 07:42:15 UTC
LGTM - thanks a lot!

It might be good to build it for F27 later too, but no rush.


Note You need to log in before you can comment on or make changes to this bug.